// take care that the desktop isn't locked
var was_locked = false;
if (locked) {
    was_locked = true;
    locked = false;
}

var activity = new Activity
activity.name = i18n("Desktop");
activity.wallpaperPlugin = "image";
activity.wallpaperMode = "SingleImage";
var wallpaper = "kanotix-starrise";
activity.currentConfigGroup = new Array("Wallpaper", "image");
activity.writeConfig("wallpaper", wallpaper);
activity.writeConfig("userswallpaper", wallpaper);

var folderview = activity.addWidget("folderview");
folderview.writeConfig("url", "desktop:/");
folderview.writeConfig("geometry", QRectF(0,0,600,400));

loadTemplate("com.kanotix.kde.plasma-desktop.defaultPanel");

// restore previous lock state
if (was_locked) {
    locked = true;
}
